WinShopAPI docs
ReferencePromotionsOne time promotions

Get a one-time barcode discount

Returns one one-time barcode discount by `id`. Requires `Permissions.Promotions.View`.

GET
/api/promotions/one-time-barcode-activated/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
barcode?string
Lengthlength <= 50
createdAt?|
Formatdate-time
id?integer
Formatint32
isInvalid?boolean
lastModify?|
Formatdate-time
receiptDiscountAmount?|
Formatdecimal
receiptDiscountCompanyId?|
Formatint32
receiptDiscountLimit?|
Formatdecimal
receiptDiscountMinimalAmount?|
Formatdecimal
receiptDiscountPercent?|
Formatdecimal
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
curl -X GET 'https://<your-instance>/api/promotions/one-time-barcode-activated/0' \  -H 'Authorization: Bearer <access-token>'
{  "barcode": "string",  "createdAt": "2019-08-24T14:15:22Z",  "id": 0,  "isInvalid": true,  "lastModify": "2019-08-24T14:15:22Z",  "receiptDiscountAmount": 0,  "receiptDiscountCompanyId": 0,  "receiptDiscountLimit": 0,  "receiptDiscountMinimalAmount": 0,  "receiptDiscountPercent": 0,  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z"}